import {
  displayList,
  serialNumberTypeList,
  serialNumberPositionList,
  switchOption,
} from '@/views/book/courseware/data/common';
export {  switchOption };

export function getUploadPreviewProperty() {
  return {
    serial_number: 1, // 序号
    sn_type: serialNumberTypeList[0].value, // 序号类型：letter字母 number数字  capital大写字母 bracket_number括号数字
    sn_position: serialNumberPositionList[0].value, // 序号位置：top-start top top-end，left-start left left-end等
    sn_display_mode: displayList[0].value,
  };
}

export function getUploadPreviewData() {
  return {
    type: 'upload_preview',
    title: '上传预览',
    single_size: 20, // 单位MB
    total_size: 100, // 单位MB
    min_width: '144', // 大于等于最小缩略图宽度
    min_height: '306', // 大于等于2倍缩略图宽度加间隙高度
    property: getUploadPreviewProperty(),
    file_info_list: [],
    file_id_list: [], // 文件 id['20032-121212', '20032-121216']
    // 内容中包含的文件列表,
    file_list: [],
    is_enable_download: switchOption[0].value,
  };
}
